﻿/* Estilos base */
body {
    background-color: white;
}

.btn-dark {
    background-color: #3BA2D3;
    color: white;
    border-radius: 10px;
    font-weight: bold;
    width: 85px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
}

    .btn-dark:hover {
        background-color: #268FBF;
        color: white;
        transform: scale(1.03);
        transition: 0.3s ease-in-out;
    }

    .btn-dark:active{
        
    }

.frmLoginCliente {
    display: flex;
    width: 100%;
    height: 350px;
    margin: 0;
    color: black;
}

.rightSide {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    padding: 0;
    height: 100%;
    color: #3BA2D3;
    box-shadow: -20px 0px 20px -10px rgba(0, 0, 0, 0.4);
}

.leftSide {
    width: 50%;
    height: 100%;
}
.leftSide img {
    width: 100%;
    height: 100%;
    padding: 3px;
    border-radius: 16px 0px 0px 16px;
    object-fit: fill;
}

.card {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    max-width: 40%;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
}

.card-body {
    padding: 0;
}

.p-4 {
    padding: 0 !important;
}

.row > div {
    width: 100%;
}

@media (max-width: 768px) {
    .frmLoginCliente {
        flex-direction: column;
        height: auto;
        padding: 20px;
    }

    .leftSide img {
        width: 150px;
        margin-bottom: 20px;
    }

    .btn-dark {
        width: 70px;
        height: 30px;
    }

    .card {
        width: 90%;
        max-width: 100%;
        position: relative;
        transform: none;
        margin: 20px auto;
        box-shadow: none;
    }
}

@media (max-width: 480px) {
    .btn-dark {
        width: 60px;
        height: 28px;
        font-size: 12px;
    }

    .rightSide {
        padding-bottom: 50px;
    }
}